html, body {
    overflow: hidden;
}
.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0,0,0,0.6);
    overflow: auto;
    -webkit-overflow-scrolling: touch;
  }
  
  .modal-content {
    background-color: #fff;
    margin: 5vh auto;
    padding: 1rem;
    width: 90%;
    height: 90%;
    max-width: 1000px;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
  }
  
  iframe {
    flex: 1;
    width: 100%;
    height: 100%;
    border: none;
  }
  .close-btn {
    margin-left: auto;
    font-size: 1.5rem;
    cursor: pointer;
  }
.scroll-container {
    height: 100vh;
    overflow-y: scroll;
    scroll-snap-type: y mandatory;
    scroll-behavior: smooth;
}
.section {
    height: 100vh;
    scroll-snap-align: start;
    background-color: white;
}

#logo-icon-corner {
    height:70%;
    width: auto;
    position: absolute;
    left: 5vw;
    display: none;
}
#header-top {
    position: fixed;
    top: 0;
    overflow-x: hidden;
    display: flex;
    width: 100vw;
    height:12vh;
    text-align: center;
    align-items: center;
    border-bottom: 1px solid black;
    background-color: white;
    color: black;
    z-index: 200;
}
.main-nav {
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: right;
    width: 95%;
    height: 100%;
}
/* #pf-nav {
    width: 40%;
} */
.header-link {
    margin-left: 5vw;
    font-family: "montserrat", sans-serif;
    font-weight: 500;
}
.ghost {
    margin-left: 5vw;
}
.pf-logo {
    height: 80%;
    display: flex;
    align-items: center;
    width: 50%;
    margin-left: 3vw;
}
#pinflow {
    height: 3vh;
    width: auto;
    align-self: center;
    margin-bottom: 3px;
}


.pf {
    height: 60%;
    width: auto;
    margin-left: 1vw;
}
.ks {
    height: 100%;
    margin-right: 1vw;
}
#k-logo {
    position: relative;
    top: 0;
    height: 50%;
    width: auto;
    filter: opacity(0.5);
}
#pf-text-corner {
    height: 40%;
    width: auto;
    margin-left: 5px;
    
}
.nav-socials {
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: right;
    height: 100%;
    margin-left: 5vw;
}

.nav-socials a {
    text-decoration: none;
    color: inherit;             
    /* font-size: 1.5rem; */
    margin: 0 0.5rem;
    transition: color 0.3s ease;
  }
  .nav-socials a.youtube {
    color: #FF0000;
  }
  .nav-socials a.github {
    color: #232323;
  }
  .nav-socials a.linkedin {
    color: #0077B5;
  }
#mode-toggle {
    display: flex;
    /* position: fixed;
    left: 1vw;
    top: 14vh;  */
    height: 100%;
    margin-left: 4vw;
    height: 3vh;
    z-index: 100;
    margin-bottom: 3px;
}
#mode-icon {
    height: 100%;
    transition: opacity 0.3s ease, filter 0.3s ease;
    /* opacity: 1;
    filter: blur(0); */
}

.blur-out {
    opacity: 0;
    filter: blur(10px);
}

.blur-in {
    opacity: 1;
    filter: blur(0);
}
.header-link, .header-link:visited, .header-link:hover, .header-link:active {
    color: inherit;
}
/* .header-link:hover {
    filter: blur(1px); 
} */
#logo-icon-corner:hover {
    transition: filter 0.5s ease;
    cursor: pointer;
}

.section-label {
    display: flex;
    font-family: "montserrat", sans-serif;
    font-weight: 500;
    font-size: 0.8em;
    padding-right: 1vw;
    color: grey;
    z-index: 101;
}

#splash {
    overflow-x: hidden;
    display: flex;
    height: 100vh;
    align-items: center;
    justify-content: center;
    padding-top: 12vh; 
}
.splash-text {
    color: black;
    font-family: "bebas-neue-pro", sans-serif;
    font-style: normal;
    display: none;
}
#splash-name {
    display: flex;
    flex-direction: column;
    font-style: normal;
    /* font-weight: 900; */
    font-size: 16vh;
    line-height: 12vh;
    text-align: right;
    padding-right: 2vw;
    display: none;
    /* background-color: aqua; */
}
#splash-info {
    font-style: normal;
    font-size: 10vh;
    line-height: 9vh;
    text-align: left;
    padding-left: 2vw;
    border-left: 5px solid black;
    /* background-color: aqua; */
}
#logo-icon-splash {
    position: absolute;
    height:60vh;
    width: auto;
    transition: filter 1s ease-in;
    filter: blur(10px);
    display: none;
}
.card-image {
    display: block;
    object-fit: cover;
    width: 100%;
    height: 100%;
}
.cv-text-overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: rgb(230, 230, 230);
    background-color: #000000ca;
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    /* align-items: center; */
    justify-content: center;
}

.carousel-arrow-a, .carousel-arrow-b, .carousel-arrow-c {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 2rem;
    border: none;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    cursor: pointer;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    line-height: 1;
}

.carousel-arrow-a:hover, .carousel-arrow-b:hover, .carousel-arrow-c:hover  {
    font-size: 3rem;
}
.carousel-arrow-a.left, .carousel-arrow-b.left, .carousel-arrow-c.left {
    left: 2px;
}
.carousel-arrow-a.right, .carousel-arrow-b.right, .carousel-arrow-c.right {
    right: 2px;
}
h5 {
    position: absolute;
    top: 18%;
    width: 100%;
    font-family: "montserrat", sans-serif;
    font-weight: 500;
    color: lightgray;
    font-size: small;
}
h4 {
    position: absolute;
    top: 25%;
    width: 100%;
    font-family: "bebas-neue-pro", sans-serif;
    font-style: normal;
    font-size: 2.5em;
    line-height: 1.1
}
h6 {
    font-size: small;
}
.no-select {
    user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -moz-user-select: none;
}
#mobile-nav-bottom {
    display: none;
}


#footer {
    bottom: 0;

    display: flex;
    flex-direction: row;
    height: 15vh;
    width: 100%;
    /* padding: 5%; */
    padding: 2vh;
    background-color: black;
    scroll-snap-align: end;
    
}
#footer-right > i {
    /* font-size: 1em; */
    color: rgb(151, 151, 151);
}
#footer-left {
    font-size: 0.9em;
    color: rgb(151, 151, 151);
}

#footer-right {
    width: 10%;
    text-align: right;
    font-size: 1em;
    /* display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(4, 1fr);
    gap: 2px;
    place-items: center; */
}
#footer-right > i {
    font-size: larger;
}
#footer-left {
    width: 90%;
    font-size: 0.8em;
}
@media screen and (min-width: 1101px) {
    .nav-socials > a:hover {
        opacity: 50%;
    }
    .header-link:hover {
        opacity: 50%;
    }
    #mode-icon:hover {
        opacity: 50%;
    }
    #resume-img:hover {
        opacity: 50%;
    }
    #ai-report-img:hover {
        opacity: 50%;
    }
    .card-c > a:hover {
        opacity: 50%;
    }
    #icon-pair > a:hover {
        opacity: 50%;
    }
  }
@media screen and (max-width: 1100px) {
    .ghost {
        display: none;
    }
    .header-link {
        display: none;
    }
    #header-top {
        width: 100%;
    }
    #mode-toggle {
        padding-right: 5vw;
        height: 3vh;
    }
    #logo-icon-corner:hover {
        transition: none;
    }
    #splash {
        flex-direction: column;
        padding-top: 0vh;
    }
    #splash-name {
        flex-direction: row;
        width: 100vw;
        font-style: normal;
        font-size: 15vh;
        line-height: 11vh;
        text-align: center;
    }
    #splash-info {
        font-style: normal;
        font-size: 4vh;
        line-height: 4vh;
        width: 100vw;
        border-left: none;
        text-align: center;
    }
    #mobile-nav-bottom {
        display: unset;
        display: flex;
        position: fixed;
        justify-content: space-around;
        align-items: center;
        bottom: 0;
        width: 100vw;
        height: 6vh;
        background-color: #000000;
        color: white;
        flex-direction: row;
        z-index: 110;
        border-top: 1px solid rgb(77, 77, 77);
    }
    #mobile-nav-bottom > a {
        font-family: "bebas-neue-pro", sans-serif;
        font-style: normal;
        font-size: 1.5em;
        display: flex;
        justify-content: center;
        align-items: center;
        color: white;


    }
    #home {
        cursor: pointer;
    }
    #footer {
        height: 25vh;
        font-size: 1.2em;
    }
    #footer-right {
        width: 50%;
        font-size: 0.6em;
    }
    #footer-left {
        width: 50%;
        font-size: 0.6em;
    }
}
@media (max-width: 768px) {
    .modal-content {
      width: 100vw;
      height: 100vh;
      margin: 0;
      padding: 0;
      border-radius: 0;
    }
  
    .close-btn {
      position: absolute;
      top: 1rem;
      right: 1rem;
      z-index: 2;
      font-size: 2rem;
      background: white;
      border-radius: 50%;
      width: 40px;
      height: 40px;
      display: flex;
      align-items: center;
      justify-content: center;
    }
  }